| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_capture_src Struct Reference

## Public Attributes
uint32_t | received
uint32_t | dropped
uint32_t | flushed
pcap_t * | pcap_h
bool | pcap_err
unsigned | interface_id
unsigned | idb_id
GThread * | tid
int | snaplen
int | linktype
bool | ts_nsec
bool | from_cap_pipe
bool | from_cap_socket
bool | from_pcapng
union { |
pcap_pipe_info_t pcap |
pcapng_pipe_info_t pcapng |
} | cap_pipe_info |
int | cap_pipe_fd
bool | cap_pipe_modified
uint8_t * | cap_pipe_databuf
size_t | cap_pipe_databuf_size
unsigned | cap_pipe_max_pkt_size
size_t | cap_pipe_bytes_to_read
size_t | cap_pipe_bytes_read
int(* | cap_pipe_dispatch )(struct _loop_data *, struct _capture_src *, char *, size_t)
cap_pipe_state_t | cap_pipe_state
cap_pipe_err_t | cap_pipe_err

## Member Data Documentation

## ◆ cap_pipe_bytes_read

size_t _capture_src::cap_pipe_bytes_read

Used by cap_pipe_dispatch

## ◆ cap_pipe_bytes_to_read

size_t _capture_src::cap_pipe_bytes_to_read

Used by cap_pipe_dispatch

## ◆ cap_pipe_databuf

uint8_t* _capture_src::cap_pipe_databuf

Pointer to the data buffer we've allocated

## ◆ cap_pipe_databuf_size

size_t _capture_src::cap_pipe_databuf_size

Current size of the data buffer

## ◆ cap_pipe_fd

int _capture_src::cap_pipe_fd

the file descriptor of the capture pipe

## ◆ cap_pipe_max_pkt_size

unsigned _capture_src::cap_pipe_max_pkt_size

Maximum packet size allowed

## ◆ cap_pipe_modified

bool _capture_src::cap_pipe_modified

true if data in the pipe uses modified pcap headers

## ◆ from_cap_pipe

bool _capture_src::from_cap_pipe

true if we are capturing data from a capture pipe

## ◆ from_cap_socket

bool _capture_src::from_cap_socket

true if we're capturing from socket

## ◆ from_pcapng

bool _capture_src::from_pcapng

true if we're capturing from pcapng format

## ◆ idb_id

unsigned _capture_src::idb_id

If from_pcapng is false, the output IDB interface ID. Otherwise the mapping in src_iface_to_global is used.

## ◆ pcap

pcap_pipe_info_t _capture_src::pcap

Pcap info when capturing from a pipe

## ◆ pcapng

pcapng_pipe_info_t _capture_src::pcapng

Pcapng info when capturing from a pipe

## ◆ ts_nsec

bool _capture_src::ts_nsec

true if we're using nanosecond precision. capture pipe (unix only "input file")

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/dumpcap.c